Redmine - Defect #31745

Mail notifications do not honor 'only_assigned' mail_notification setting
2019-07-16 16:36 - Robert Chady

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Wont fix Affected version: 4.0.4

Description
When a user selects 'only_assigned' for mail notifications, they still get emails for issues they are watching.

Digging in to the code, | see that Issue#notified_users calls notify_about?() to verify if a user should be notified about an update.
Looking further though, | see that Mailer#deliver_issue_edit calls notified_users AND notified_watchers. The notified_watchers
method does not appear to filter if a user wants to be notified about an update or not and just adds in all watchers as CC'd people.

Perhaps | am misreading it, but this seems like a bug. | verified this is still the case in redmine master as well as the versions | am
running. Filing this under the 'Issues' category, but not sure if that is the best place for this or not. It seems to impact all versions of
Redmine as well.

Related issues:
Related to Redmine - Patch #24177: Change translation for label_user_mail_opt... Closed

History

#1 - 2019-08-14 17:43 - Robert Chady

Any chance at getting a little guidance on the best way to fix this?

#2 - 2019-08-15 02:30 - Go MAEDA

- Related to Patch #24177: Change translation for label_user_mail_option_only (assigned/owner) added

#3 - 2019-08-15 02:41 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

It is the intended behavior. Watchers always get notifications no matter how "Email notification" setting in "My account" is set.

In earlier versions of Redmine, the text in Email notification setting was incorrect. The text for label "label_user_mail_option_only_assigned" has
changed from "Only for things | am assigned to" to "Only for things | watch or | am assigned to" in Redmine 3.3.0. Please see #24177 and r16110.
